/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
import { DocsColorSwatchVariation } from "./components/design-tokens/colors/digi-docs-color-swatch/digi-docs-color-swatch-variation.enum";
import { DocsColorSwatchSize } from "./components/design-tokens/colors/digi-docs-color-swatch/digi-docs-color-swatch-size.enum";
import { TokenFormat } from "./components/design-tokens/token-format.enum";
import { ComponentTag } from "./global/routes/componentTagsAndNames.generated";
import { Category } from "../../../../libs/shared/taxonomies/src/index";
export { DocsColorSwatchVariation } from "./components/design-tokens/colors/digi-docs-color-swatch/digi-docs-color-swatch-variation.enum";
export { DocsColorSwatchSize } from "./components/design-tokens/colors/digi-docs-color-swatch/digi-docs-color-swatch-size.enum";
export { TokenFormat } from "./components/design-tokens/token-format.enum";
export { ComponentTag } from "./global/routes/componentTagsAndNames.generated";
export { Category } from "../../../../libs/shared/taxonomies/src/index";
export namespace Components {
    interface DigiButtonDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiCardBoxDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiCardLinkDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiCodeBlockDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiCodeDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiCodeExampleDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiDialogDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiDocs {
        "afRoot": string;
    }
    interface DigiDocsColorSwatch {
        /**
          * Design token
         */
        "token": string;
        /**
          * Show border
         */
        "tokenBorder": boolean;
        "tokenColorFormat": string;
        /**
          * Color swatch selected
         */
        "tokenSelected": boolean;
        /**
          * Color swatch size
         */
        "tokenSize": DocsColorSwatchSize;
        "tokenText": string;
        /**
          * Color swatch variation
         */
        "tokenVariation": DocsColorSwatchVariation;
    }
    interface DigiDocsColorToken {
        /**
          * Design token
         */
        "token": string;
        "tokenFormat": TokenFormat;
        "tokenVariation": DocsColorSwatchVariation;
    }
    interface DigiDocsColorTokenCards {
        "colorTokens": any;
        "tokenFormat": TokenFormat;
    }
    interface DigiDocsComponentApi {
        "tag": ComponentTag;
    }
    interface DigiDocsComponentList {
        "category"?: Category;
    }
    interface DigiDocsComponentPage {
        "category": string;
        "name": string;
        "tab": 'oversikt' | 'api';
        "tag": ComponentTag;
    }
    interface DigiDocsFooter {
    }
    interface DigiDocsHeader {
    }
    interface DigiDocsNavigation {
    }
    interface DigiDocsPageLayout {
        "afEditBaseUrl": string;
        "afEditHref": string;
        "afPageHeading": string;
    }
    interface DigiDocsWcagList {
    }
    interface DigiExpandableAccordionDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormCheckboxDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormFieldsetDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormFileUploadDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormInputDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormInputSearchDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormLabelDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormProcessStepDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormProcessStepsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormRadiobuttonDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormRadiogroupDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormSelectDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormTextareaDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiFormValidationMessageDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiIconDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutBlockDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutColumnsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutContainerDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutGridDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutMediaObjectDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutRowsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLayoutStackedBlocksDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLinkDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLinkIconDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiListLinkDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLoaderSpinnerDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLogoDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLogoServiceDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiLogoSisterDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiMediaFigureDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiMediaImageDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationBreadcrumbsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationMainMenuDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationMainMenuPanelDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationPaginationDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationTabDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationTabInABoxDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationTabsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNavigationTocDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNotificationAlertDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNotificationCookieDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiNotificationDetailDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageBlockCardsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageBlockHeroDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageBlockListsDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageBlockSidebarDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageFooterDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiPageHeaderDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiTableDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiTypographyDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiTypographyHeadingSectionDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiTypographyPreambleDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiTypographyTimeDetails {
        "afHideCode": boolean;
        "afHideControls": boolean;
        "afShowOnlyExample": boolean;
    }
    interface DigiUtilBreakpointObserverDetails {
    }
    interface DigiUtilDetectClickOutsideDetails {
    }
    interface DigiUtilDetectFocusOutsideDetails {
    }
    interface DigiUtilIntersectionObserverDetails {
    }
    interface DigiUtilKeydownHandlerDetails {
    }
    interface DigiUtilKeyupHandlerDetails {
    }
    interface DigiUtilMutationObserverDetails {
    }
    interface PageBildsprak {
    }
    interface PageCategoryDialog {
    }
    interface PageCategoryFormular {
    }
    interface PageCategoryIkoner {
    }
    interface PageCategoryKnappar {
    }
    interface PageCategoryKod {
    }
    interface PageCategoryKomponenter {
    }
    interface PageCategoryKort {
    }
    interface PageCategoryLaddningsindikatorer {
    }
    interface PageCategoryLankar {
    }
    interface PageCategoryLayout {
    }
    interface PageCategoryListor {
    }
    interface PageCategoryLogo {
    }
    interface PageCategoryMeddelanden {
    }
    interface PageCategoryMedia {
    }
    interface PageCategoryNavigation {
    }
    interface PageCategorySidblockOchDelar {
    }
    interface PageCategoryTabeller {
    }
    interface PageCategoryTypografi {
    }
    interface PageCategoryUtfallbart {
    }
    interface PageCategoryVerktyg {
    }
    interface PageExternaWebbplatser {
    }
    interface PageFarger {
    }
    interface PageGrafik {
    }
    interface PageGrafiskProfil {
    }
    interface PageHome {
    }
    interface PageIllustrationer {
    }
    interface PageInternaWebbplatser {
    }
    interface PageJobbaMedDesign {
    }
    interface PageJobbaMedKod {
    }
    interface PageKlarsprak {
    }
    interface PageKomIgang {
    }
    interface PageLagkravOchRiktlinjer {
    }
    interface PageListaMedTillganglighetsbrister {
    }
    interface PageLogotyp {
    }
    interface PageNamngivningOchKlarsprak {
    }
    interface PageNivaerIWcag {
    }
    interface PageOversattningar {
    }
    interface PageProcessForTillganglighetsredogorelse {
    }
    interface PageReleaseNotes {
    }
    interface PageSprak {
    }
    interface PageTillganglighet {
    }
    interface PageTillganglighetslista {
    }
    interface PageTillganglighetsredogorelse {
    }
    interface PageTypografi {
    }
    interface PageVarumarket {
    }
}
declare global {
    interface HTMLDigiButtonDetailsElement extends Components.DigiButtonDetails, HTMLStencilElement {
    }
    var HTMLDigiButtonDetailsElement: {
        prototype: HTMLDigiButtonDetailsElement;
        new (): HTMLDigiButtonDetailsElement;
    };
    interface HTMLDigiCardBoxDetailsElement extends Components.DigiCardBoxDetails, HTMLStencilElement {
    }
    var HTMLDigiCardBoxDetailsElement: {
        prototype: HTMLDigiCardBoxDetailsElement;
        new (): HTMLDigiCardBoxDetailsElement;
    };
    interface HTMLDigiCardLinkDetailsElement extends Components.DigiCardLinkDetails, HTMLStencilElement {
    }
    var HTMLDigiCardLinkDetailsElement: {
        prototype: HTMLDigiCardLinkDetailsElement;
        new (): HTMLDigiCardLinkDetailsElement;
    };
    interface HTMLDigiCodeBlockDetailsElement extends Components.DigiCodeBlockDetails, HTMLStencilElement {
    }
    var HTMLDigiCodeBlockDetailsElement: {
        prototype: HTMLDigiCodeBlockDetailsElement;
        new (): HTMLDigiCodeBlockDetailsElement;
    };
    interface HTMLDigiCodeDetailsElement extends Components.DigiCodeDetails, HTMLStencilElement {
    }
    var HTMLDigiCodeDetailsElement: {
        prototype: HTMLDigiCodeDetailsElement;
        new (): HTMLDigiCodeDetailsElement;
    };
    interface HTMLDigiCodeExampleDetailsElement extends Components.DigiCodeExampleDetails, HTMLStencilElement {
    }
    var HTMLDigiCodeExampleDetailsElement: {
        prototype: HTMLDigiCodeExampleDetailsElement;
        new (): HTMLDigiCodeExampleDetailsElement;
    };
    interface HTMLDigiDialogDetailsElement extends Components.DigiDialogDetails, HTMLStencilElement {
    }
    var HTMLDigiDialogDetailsElement: {
        prototype: HTMLDigiDialogDetailsElement;
        new (): HTMLDigiDialogDetailsElement;
    };
    interface HTMLDigiDocsElement extends Components.DigiDocs, HTMLStencilElement {
    }
    var HTMLDigiDocsElement: {
        prototype: HTMLDigiDocsElement;
        new (): HTMLDigiDocsElement;
    };
    interface HTMLDigiDocsColorSwatchElement extends Components.DigiDocsColorSwatch, HTMLStencilElement {
    }
    var HTMLDigiDocsColorSwatchElement: {
        prototype: HTMLDigiDocsColorSwatchElement;
        new (): HTMLDigiDocsColorSwatchElement;
    };
    interface HTMLDigiDocsColorTokenElement extends Components.DigiDocsColorToken, HTMLStencilElement {
    }
    var HTMLDigiDocsColorTokenElement: {
        prototype: HTMLDigiDocsColorTokenElement;
        new (): HTMLDigiDocsColorTokenElement;
    };
    interface HTMLDigiDocsColorTokenCardsElement extends Components.DigiDocsColorTokenCards, HTMLStencilElement {
    }
    var HTMLDigiDocsColorTokenCardsElement: {
        prototype: HTMLDigiDocsColorTokenCardsElement;
        new (): HTMLDigiDocsColorTokenCardsElement;
    };
    interface HTMLDigiDocsComponentApiElement extends Components.DigiDocsComponentApi, HTMLStencilElement {
    }
    var HTMLDigiDocsComponentApiElement: {
        prototype: HTMLDigiDocsComponentApiElement;
        new (): HTMLDigiDocsComponentApiElement;
    };
    interface HTMLDigiDocsComponentListElement extends Components.DigiDocsComponentList, HTMLStencilElement {
    }
    var HTMLDigiDocsComponentListElement: {
        prototype: HTMLDigiDocsComponentListElement;
        new (): HTMLDigiDocsComponentListElement;
    };
    interface HTMLDigiDocsComponentPageElement extends Components.DigiDocsComponentPage, HTMLStencilElement {
    }
    var HTMLDigiDocsComponentPageElement: {
        prototype: HTMLDigiDocsComponentPageElement;
        new (): HTMLDigiDocsComponentPageElement;
    };
    interface HTMLDigiDocsFooterElement extends Components.DigiDocsFooter, HTMLStencilElement {
    }
    var HTMLDigiDocsFooterElement: {
        prototype: HTMLDigiDocsFooterElement;
        new (): HTMLDigiDocsFooterElement;
    };
    interface HTMLDigiDocsHeaderElement extends Components.DigiDocsHeader, HTMLStencilElement {
    }
    var HTMLDigiDocsHeaderElement: {
        prototype: HTMLDigiDocsHeaderElement;
        new (): HTMLDigiDocsHeaderElement;
    };
    interface HTMLDigiDocsNavigationElement extends Components.DigiDocsNavigation, HTMLStencilElement {
    }
    var HTMLDigiDocsNavigationElement: {
        prototype: HTMLDigiDocsNavigationElement;
        new (): HTMLDigiDocsNavigationElement;
    };
    interface HTMLDigiDocsPageLayoutElement extends Components.DigiDocsPageLayout, HTMLStencilElement {
    }
    var HTMLDigiDocsPageLayoutElement: {
        prototype: HTMLDigiDocsPageLayoutElement;
        new (): HTMLDigiDocsPageLayoutElement;
    };
    interface HTMLDigiDocsWcagListElement extends Components.DigiDocsWcagList, HTMLStencilElement {
    }
    var HTMLDigiDocsWcagListElement: {
        prototype: HTMLDigiDocsWcagListElement;
        new (): HTMLDigiDocsWcagListElement;
    };
    interface HTMLDigiExpandableAccordionDetailsElement extends Components.DigiExpandableAccordionDetails, HTMLStencilElement {
    }
    var HTMLDigiExpandableAccordionDetailsElement: {
        prototype: HTMLDigiExpandableAccordionDetailsElement;
        new (): HTMLDigiExpandableAccordionDetailsElement;
    };
    interface HTMLDigiFormCheckboxDetailsElement extends Components.DigiFormCheckboxDetails, HTMLStencilElement {
    }
    var HTMLDigiFormCheckboxDetailsElement: {
        prototype: HTMLDigiFormCheckboxDetailsElement;
        new (): HTMLDigiFormCheckboxDetailsElement;
    };
    interface HTMLDigiFormFieldsetDetailsElement extends Components.DigiFormFieldsetDetails, HTMLStencilElement {
    }
    var HTMLDigiFormFieldsetDetailsElement: {
        prototype: HTMLDigiFormFieldsetDetailsElement;
        new (): HTMLDigiFormFieldsetDetailsElement;
    };
    interface HTMLDigiFormFileUploadDetailsElement extends Components.DigiFormFileUploadDetails, HTMLStencilElement {
    }
    var HTMLDigiFormFileUploadDetailsElement: {
        prototype: HTMLDigiFormFileUploadDetailsElement;
        new (): HTMLDigiFormFileUploadDetailsElement;
    };
    interface HTMLDigiFormInputDetailsElement extends Components.DigiFormInputDetails, HTMLStencilElement {
    }
    var HTMLDigiFormInputDetailsElement: {
        prototype: HTMLDigiFormInputDetailsElement;
        new (): HTMLDigiFormInputDetailsElement;
    };
    interface HTMLDigiFormInputSearchDetailsElement extends Components.DigiFormInputSearchDetails, HTMLStencilElement {
    }
    var HTMLDigiFormInputSearchDetailsElement: {
        prototype: HTMLDigiFormInputSearchDetailsElement;
        new (): HTMLDigiFormInputSearchDetailsElement;
    };
    interface HTMLDigiFormLabelDetailsElement extends Components.DigiFormLabelDetails, HTMLStencilElement {
    }
    var HTMLDigiFormLabelDetailsElement: {
        prototype: HTMLDigiFormLabelDetailsElement;
        new (): HTMLDigiFormLabelDetailsElement;
    };
    interface HTMLDigiFormProcessStepDetailsElement extends Components.DigiFormProcessStepDetails, HTMLStencilElement {
    }
    var HTMLDigiFormProcessStepDetailsElement: {
        prototype: HTMLDigiFormProcessStepDetailsElement;
        new (): HTMLDigiFormProcessStepDetailsElement;
    };
    interface HTMLDigiFormProcessStepsDetailsElement extends Components.DigiFormProcessStepsDetails, HTMLStencilElement {
    }
    var HTMLDigiFormProcessStepsDetailsElement: {
        prototype: HTMLDigiFormProcessStepsDetailsElement;
        new (): HTMLDigiFormProcessStepsDetailsElement;
    };
    interface HTMLDigiFormRadiobuttonDetailsElement extends Components.DigiFormRadiobuttonDetails, HTMLStencilElement {
    }
    var HTMLDigiFormRadiobuttonDetailsElement: {
        prototype: HTMLDigiFormRadiobuttonDetailsElement;
        new (): HTMLDigiFormRadiobuttonDetailsElement;
    };
    interface HTMLDigiFormRadiogroupDetailsElement extends Components.DigiFormRadiogroupDetails, HTMLStencilElement {
    }
    var HTMLDigiFormRadiogroupDetailsElement: {
        prototype: HTMLDigiFormRadiogroupDetailsElement;
        new (): HTMLDigiFormRadiogroupDetailsElement;
    };
    interface HTMLDigiFormSelectDetailsElement extends Components.DigiFormSelectDetails, HTMLStencilElement {
    }
    var HTMLDigiFormSelectDetailsElement: {
        prototype: HTMLDigiFormSelectDetailsElement;
        new (): HTMLDigiFormSelectDetailsElement;
    };
    interface HTMLDigiFormTextareaDetailsElement extends Components.DigiFormTextareaDetails, HTMLStencilElement {
    }
    var HTMLDigiFormTextareaDetailsElement: {
        prototype: HTMLDigiFormTextareaDetailsElement;
        new (): HTMLDigiFormTextareaDetailsElement;
    };
    interface HTMLDigiFormValidationMessageDetailsElement extends Components.DigiFormValidationMessageDetails, HTMLStencilElement {
    }
    var HTMLDigiFormValidationMessageDetailsElement: {
        prototype: HTMLDigiFormValidationMessageDetailsElement;
        new (): HTMLDigiFormValidationMessageDetailsElement;
    };
    interface HTMLDigiIconDetailsElement extends Components.DigiIconDetails, HTMLStencilElement {
    }
    var HTMLDigiIconDetailsElement: {
        prototype: HTMLDigiIconDetailsElement;
        new (): HTMLDigiIconDetailsElement;
    };
    interface HTMLDigiLayoutBlockDetailsElement extends Components.DigiLayoutBlockDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutBlockDetailsElement: {
        prototype: HTMLDigiLayoutBlockDetailsElement;
        new (): HTMLDigiLayoutBlockDetailsElement;
    };
    interface HTMLDigiLayoutColumnsDetailsElement extends Components.DigiLayoutColumnsDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutColumnsDetailsElement: {
        prototype: HTMLDigiLayoutColumnsDetailsElement;
        new (): HTMLDigiLayoutColumnsDetailsElement;
    };
    interface HTMLDigiLayoutContainerDetailsElement extends Components.DigiLayoutContainerDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutContainerDetailsElement: {
        prototype: HTMLDigiLayoutContainerDetailsElement;
        new (): HTMLDigiLayoutContainerDetailsElement;
    };
    interface HTMLDigiLayoutGridDetailsElement extends Components.DigiLayoutGridDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutGridDetailsElement: {
        prototype: HTMLDigiLayoutGridDetailsElement;
        new (): HTMLDigiLayoutGridDetailsElement;
    };
    interface HTMLDigiLayoutMediaObjectDetailsElement extends Components.DigiLayoutMediaObjectDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutMediaObjectDetailsElement: {
        prototype: HTMLDigiLayoutMediaObjectDetailsElement;
        new (): HTMLDigiLayoutMediaObjectDetailsElement;
    };
    interface HTMLDigiLayoutRowsDetailsElement extends Components.DigiLayoutRowsDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutRowsDetailsElement: {
        prototype: HTMLDigiLayoutRowsDetailsElement;
        new (): HTMLDigiLayoutRowsDetailsElement;
    };
    interface HTMLDigiLayoutStackedBlocksDetailsElement extends Components.DigiLayoutStackedBlocksDetails, HTMLStencilElement {
    }
    var HTMLDigiLayoutStackedBlocksDetailsElement: {
        prototype: HTMLDigiLayoutStackedBlocksDetailsElement;
        new (): HTMLDigiLayoutStackedBlocksDetailsElement;
    };
    interface HTMLDigiLinkDetailsElement extends Components.DigiLinkDetails, HTMLStencilElement {
    }
    var HTMLDigiLinkDetailsElement: {
        prototype: HTMLDigiLinkDetailsElement;
        new (): HTMLDigiLinkDetailsElement;
    };
    interface HTMLDigiLinkIconDetailsElement extends Components.DigiLinkIconDetails, HTMLStencilElement {
    }
    var HTMLDigiLinkIconDetailsElement: {
        prototype: HTMLDigiLinkIconDetailsElement;
        new (): HTMLDigiLinkIconDetailsElement;
    };
    interface HTMLDigiListLinkDetailsElement extends Components.DigiListLinkDetails, HTMLStencilElement {
    }
    var HTMLDigiListLinkDetailsElement: {
        prototype: HTMLDigiListLinkDetailsElement;
        new (): HTMLDigiListLinkDetailsElement;
    };
    interface HTMLDigiLoaderSpinnerDetailsElement extends Components.DigiLoaderSpinnerDetails, HTMLStencilElement {
    }
    var HTMLDigiLoaderSpinnerDetailsElement: {
        prototype: HTMLDigiLoaderSpinnerDetailsElement;
        new (): HTMLDigiLoaderSpinnerDetailsElement;
    };
    interface HTMLDigiLogoDetailsElement extends Components.DigiLogoDetails, HTMLStencilElement {
    }
    var HTMLDigiLogoDetailsElement: {
        prototype: HTMLDigiLogoDetailsElement;
        new (): HTMLDigiLogoDetailsElement;
    };
    interface HTMLDigiLogoServiceDetailsElement extends Components.DigiLogoServiceDetails, HTMLStencilElement {
    }
    var HTMLDigiLogoServiceDetailsElement: {
        prototype: HTMLDigiLogoServiceDetailsElement;
        new (): HTMLDigiLogoServiceDetailsElement;
    };
    interface HTMLDigiLogoSisterDetailsElement extends Components.DigiLogoSisterDetails, HTMLStencilElement {
    }
    var HTMLDigiLogoSisterDetailsElement: {
        prototype: HTMLDigiLogoSisterDetailsElement;
        new (): HTMLDigiLogoSisterDetailsElement;
    };
    interface HTMLDigiMediaFigureDetailsElement extends Components.DigiMediaFigureDetails, HTMLStencilElement {
    }
    var HTMLDigiMediaFigureDetailsElement: {
        prototype: HTMLDigiMediaFigureDetailsElement;
        new (): HTMLDigiMediaFigureDetailsElement;
    };
    interface HTMLDigiMediaImageDetailsElement extends Components.DigiMediaImageDetails, HTMLStencilElement {
    }
    var HTMLDigiMediaImageDetailsElement: {
        prototype: HTMLDigiMediaImageDetailsElement;
        new (): HTMLDigiMediaImageDetailsElement;
    };
    interface HTMLDigiNavigationBreadcrumbsDetailsElement extends Components.DigiNavigationBreadcrumbsDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationBreadcrumbsDetailsElement: {
        prototype: HTMLDigiNavigationBreadcrumbsDetailsElement;
        new (): HTMLDigiNavigationBreadcrumbsDetailsElement;
    };
    interface HTMLDigiNavigationMainMenuDetailsElement extends Components.DigiNavigationMainMenuDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationMainMenuDetailsElement: {
        prototype: HTMLDigiNavigationMainMenuDetailsElement;
        new (): HTMLDigiNavigationMainMenuDetailsElement;
    };
    interface HTMLDigiNavigationMainMenuPanelDetailsElement extends Components.DigiNavigationMainMenuPanelDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationMainMenuPanelDetailsElement: {
        prototype: HTMLDigiNavigationMainMenuPanelDetailsElement;
        new (): HTMLDigiNavigationMainMenuPanelDetailsElement;
    };
    interface HTMLDigiNavigationPaginationDetailsElement extends Components.DigiNavigationPaginationDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationPaginationDetailsElement: {
        prototype: HTMLDigiNavigationPaginationDetailsElement;
        new (): HTMLDigiNavigationPaginationDetailsElement;
    };
    interface HTMLDigiNavigationTabDetailsElement extends Components.DigiNavigationTabDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationTabDetailsElement: {
        prototype: HTMLDigiNavigationTabDetailsElement;
        new (): HTMLDigiNavigationTabDetailsElement;
    };
    interface HTMLDigiNavigationTabInABoxDetailsElement extends Components.DigiNavigationTabInABoxDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationTabInABoxDetailsElement: {
        prototype: HTMLDigiNavigationTabInABoxDetailsElement;
        new (): HTMLDigiNavigationTabInABoxDetailsElement;
    };
    interface HTMLDigiNavigationTabsDetailsElement extends Components.DigiNavigationTabsDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationTabsDetailsElement: {
        prototype: HTMLDigiNavigationTabsDetailsElement;
        new (): HTMLDigiNavigationTabsDetailsElement;
    };
    interface HTMLDigiNavigationTocDetailsElement extends Components.DigiNavigationTocDetails, HTMLStencilElement {
    }
    var HTMLDigiNavigationTocDetailsElement: {
        prototype: HTMLDigiNavigationTocDetailsElement;
        new (): HTMLDigiNavigationTocDetailsElement;
    };
    interface HTMLDigiNotificationAlertDetailsElement extends Components.DigiNotificationAlertDetails, HTMLStencilElement {
    }
    var HTMLDigiNotificationAlertDetailsElement: {
        prototype: HTMLDigiNotificationAlertDetailsElement;
        new (): HTMLDigiNotificationAlertDetailsElement;
    };
    interface HTMLDigiNotificationCookieDetailsElement extends Components.DigiNotificationCookieDetails, HTMLStencilElement {
    }
    var HTMLDigiNotificationCookieDetailsElement: {
        prototype: HTMLDigiNotificationCookieDetailsElement;
        new (): HTMLDigiNotificationCookieDetailsElement;
    };
    interface HTMLDigiNotificationDetailDetailsElement extends Components.DigiNotificationDetailDetails, HTMLStencilElement {
    }
    var HTMLDigiNotificationDetailDetailsElement: {
        prototype: HTMLDigiNotificationDetailDetailsElement;
        new (): HTMLDigiNotificationDetailDetailsElement;
    };
    interface HTMLDigiPageBlockCardsDetailsElement extends Components.DigiPageBlockCardsDetails, HTMLStencilElement {
    }
    var HTMLDigiPageBlockCardsDetailsElement: {
        prototype: HTMLDigiPageBlockCardsDetailsElement;
        new (): HTMLDigiPageBlockCardsDetailsElement;
    };
    interface HTMLDigiPageBlockHeroDetailsElement extends Components.DigiPageBlockHeroDetails, HTMLStencilElement {
    }
    var HTMLDigiPageBlockHeroDetailsElement: {
        prototype: HTMLDigiPageBlockHeroDetailsElement;
        new (): HTMLDigiPageBlockHeroDetailsElement;
    };
    interface HTMLDigiPageBlockListsDetailsElement extends Components.DigiPageBlockListsDetails, HTMLStencilElement {
    }
    var HTMLDigiPageBlockListsDetailsElement: {
        prototype: HTMLDigiPageBlockListsDetailsElement;
        new (): HTMLDigiPageBlockListsDetailsElement;
    };
    interface HTMLDigiPageBlockSidebarDetailsElement extends Components.DigiPageBlockSidebarDetails, HTMLStencilElement {
    }
    var HTMLDigiPageBlockSidebarDetailsElement: {
        prototype: HTMLDigiPageBlockSidebarDetailsElement;
        new (): HTMLDigiPageBlockSidebarDetailsElement;
    };
    interface HTMLDigiPageDetailsElement extends Components.DigiPageDetails, HTMLStencilElement {
    }
    var HTMLDigiPageDetailsElement: {
        prototype: HTMLDigiPageDetailsElement;
        new (): HTMLDigiPageDetailsElement;
    };
    interface HTMLDigiPageFooterDetailsElement extends Components.DigiPageFooterDetails, HTMLStencilElement {
    }
    var HTMLDigiPageFooterDetailsElement: {
        prototype: HTMLDigiPageFooterDetailsElement;
        new (): HTMLDigiPageFooterDetailsElement;
    };
    interface HTMLDigiPageHeaderDetailsElement extends Components.DigiPageHeaderDetails, HTMLStencilElement {
    }
    var HTMLDigiPageHeaderDetailsElement: {
        prototype: HTMLDigiPageHeaderDetailsElement;
        new (): HTMLDigiPageHeaderDetailsElement;
    };
    interface HTMLDigiTableDetailsElement extends Components.DigiTableDetails, HTMLStencilElement {
    }
    var HTMLDigiTableDetailsElement: {
        prototype: HTMLDigiTableDetailsElement;
        new (): HTMLDigiTableDetailsElement;
    };
    interface HTMLDigiTypographyDetailsElement extends Components.DigiTypographyDetails, HTMLStencilElement {
    }
    var HTMLDigiTypographyDetailsElement: {
        prototype: HTMLDigiTypographyDetailsElement;
        new (): HTMLDigiTypographyDetailsElement;
    };
    interface HTMLDigiTypographyHeadingSectionDetailsElement extends Components.DigiTypographyHeadingSectionDetails, HTMLStencilElement {
    }
    var HTMLDigiTypographyHeadingSectionDetailsElement: {
        prototype: HTMLDigiTypographyHeadingSectionDetailsElement;
        new (): HTMLDigiTypographyHeadingSectionDetailsElement;
    };
    interface HTMLDigiTypographyPreambleDetailsElement extends Components.DigiTypographyPreambleDetails, HTMLStencilElement {
    }
    var HTMLDigiTypographyPreambleDetailsElement: {
        prototype: HTMLDigiTypographyPreambleDetailsElement;
        new (): HTMLDigiTypographyPreambleDetailsElement;
    };
    interface HTMLDigiTypographyTimeDetailsElement extends Components.DigiTypographyTimeDetails, HTMLStencilElement {
    }
    var HTMLDigiTypographyTimeDetailsElement: {
        prototype: HTMLDigiTypographyTimeDetailsElement;
        new (): HTMLDigiTypographyTimeDetailsElement;
    };
    interface HTMLDigiUtilBreakpointObserverDetailsElement extends Components.DigiUtilBreakpointObserverDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilBreakpointObserverDetailsElement: {
        prototype: HTMLDigiUtilBreakpointObserverDetailsElement;
        new (): HTMLDigiUtilBreakpointObserverDetailsElement;
    };
    interface HTMLDigiUtilDetectClickOutsideDetailsElement extends Components.DigiUtilDetectClickOutsideDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilDetectClickOutsideDetailsElement: {
        prototype: HTMLDigiUtilDetectClickOutsideDetailsElement;
        new (): HTMLDigiUtilDetectClickOutsideDetailsElement;
    };
    interface HTMLDigiUtilDetectFocusOutsideDetailsElement extends Components.DigiUtilDetectFocusOutsideDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilDetectFocusOutsideDetailsElement: {
        prototype: HTMLDigiUtilDetectFocusOutsideDetailsElement;
        new (): HTMLDigiUtilDetectFocusOutsideDetailsElement;
    };
    interface HTMLDigiUtilIntersectionObserverDetailsElement extends Components.DigiUtilIntersectionObserverDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilIntersectionObserverDetailsElement: {
        prototype: HTMLDigiUtilIntersectionObserverDetailsElement;
        new (): HTMLDigiUtilIntersectionObserverDetailsElement;
    };
    interface HTMLDigiUtilKeydownHandlerDetailsElement extends Components.DigiUtilKeydownHandlerDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilKeydownHandlerDetailsElement: {
        prototype: HTMLDigiUtilKeydownHandlerDetailsElement;
        new (): HTMLDigiUtilKeydownHandlerDetailsElement;
    };
    interface HTMLDigiUtilKeyupHandlerDetailsElement extends Components.DigiUtilKeyupHandlerDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilKeyupHandlerDetailsElement: {
        prototype: HTMLDigiUtilKeyupHandlerDetailsElement;
        new (): HTMLDigiUtilKeyupHandlerDetailsElement;
    };
    interface HTMLDigiUtilMutationObserverDetailsElement extends Components.DigiUtilMutationObserverDetails, HTMLStencilElement {
    }
    var HTMLDigiUtilMutationObserverDetailsElement: {
        prototype: HTMLDigiUtilMutationObserverDetailsElement;
        new (): HTMLDigiUtilMutationObserverDetailsElement;
    };
    interface HTMLPageBildsprakElement extends Components.PageBildsprak, HTMLStencilElement {
    }
    var HTMLPageBildsprakElement: {
        prototype: HTMLPageBildsprakElement;
        new (): HTMLPageBildsprakElement;
    };
    interface HTMLPageCategoryDialogElement extends Components.PageCategoryDialog, HTMLStencilElement {
    }
    var HTMLPageCategoryDialogElement: {
        prototype: HTMLPageCategoryDialogElement;
        new (): HTMLPageCategoryDialogElement;
    };
    interface HTMLPageCategoryFormularElement extends Components.PageCategoryFormular, HTMLStencilElement {
    }
    var HTMLPageCategoryFormularElement: {
        prototype: HTMLPageCategoryFormularElement;
        new (): HTMLPageCategoryFormularElement;
    };
    interface HTMLPageCategoryIkonerElement extends Components.PageCategoryIkoner, HTMLStencilElement {
    }
    var HTMLPageCategoryIkonerElement: {
        prototype: HTMLPageCategoryIkonerElement;
        new (): HTMLPageCategoryIkonerElement;
    };
    interface HTMLPageCategoryKnapparElement extends Components.PageCategoryKnappar, HTMLStencilElement {
    }
    var HTMLPageCategoryKnapparElement: {
        prototype: HTMLPageCategoryKnapparElement;
        new (): HTMLPageCategoryKnapparElement;
    };
    interface HTMLPageCategoryKodElement extends Components.PageCategoryKod, HTMLStencilElement {
    }
    var HTMLPageCategoryKodElement: {
        prototype: HTMLPageCategoryKodElement;
        new (): HTMLPageCategoryKodElement;
    };
    interface HTMLPageCategoryKomponenterElement extends Components.PageCategoryKomponenter, HTMLStencilElement {
    }
    var HTMLPageCategoryKomponenterElement: {
        prototype: HTMLPageCategoryKomponenterElement;
        new (): HTMLPageCategoryKomponenterElement;
    };
    interface HTMLPageCategoryKortElement extends Components.PageCategoryKort, HTMLStencilElement {
    }
    var HTMLPageCategoryKortElement: {
        prototype: HTMLPageCategoryKortElement;
        new (): HTMLPageCategoryKortElement;
    };
    interface HTMLPageCategoryLaddningsindikatorerElement extends Components.PageCategoryLaddningsindikatorer, HTMLStencilElement {
    }
    var HTMLPageCategoryLaddningsindikatorerElement: {
        prototype: HTMLPageCategoryLaddningsindikatorerElement;
        new (): HTMLPageCategoryLaddningsindikatorerElement;
    };
    interface HTMLPageCategoryLankarElement extends Components.PageCategoryLankar, HTMLStencilElement {
    }
    var HTMLPageCategoryLankarElement: {
        prototype: HTMLPageCategoryLankarElement;
        new (): HTMLPageCategoryLankarElement;
    };
    interface HTMLPageCategoryLayoutElement extends Components.PageCategoryLayout, HTMLStencilElement {
    }
    var HTMLPageCategoryLayoutElement: {
        prototype: HTMLPageCategoryLayoutElement;
        new (): HTMLPageCategoryLayoutElement;
    };
    interface HTMLPageCategoryListorElement extends Components.PageCategoryListor, HTMLStencilElement {
    }
    var HTMLPageCategoryListorElement: {
        prototype: HTMLPageCategoryListorElement;
        new (): HTMLPageCategoryListorElement;
    };
    interface HTMLPageCategoryLogoElement extends Components.PageCategoryLogo, HTMLStencilElement {
    }
    var HTMLPageCategoryLogoElement: {
        prototype: HTMLPageCategoryLogoElement;
        new (): HTMLPageCategoryLogoElement;
    };
    interface HTMLPageCategoryMeddelandenElement extends Components.PageCategoryMeddelanden, HTMLStencilElement {
    }
    var HTMLPageCategoryMeddelandenElement: {
        prototype: HTMLPageCategoryMeddelandenElement;
        new (): HTMLPageCategoryMeddelandenElement;
    };
    interface HTMLPageCategoryMediaElement extends Components.PageCategoryMedia, HTMLStencilElement {
    }
    var HTMLPageCategoryMediaElement: {
        prototype: HTMLPageCategoryMediaElement;
        new (): HTMLPageCategoryMediaElement;
    };
    interface HTMLPageCategoryNavigationElement extends Components.PageCategoryNavigation, HTMLStencilElement {
    }
    var HTMLPageCategoryNavigationElement: {
        prototype: HTMLPageCategoryNavigationElement;
        new (): HTMLPageCategoryNavigationElement;
    };
    interface HTMLPageCategorySidblockOchDelarElement extends Components.PageCategorySidblockOchDelar, HTMLStencilElement {
    }
    var HTMLPageCategorySidblockOchDelarElement: {
        prototype: HTMLPageCategorySidblockOchDelarElement;
        new (): HTMLPageCategorySidblockOchDelarElement;
    };
    interface HTMLPageCategoryTabellerElement extends Components.PageCategoryTabeller, HTMLStencilElement {
    }
    var HTMLPageCategoryTabellerElement: {
        prototype: HTMLPageCategoryTabellerElement;
        new (): HTMLPageCategoryTabellerElement;
    };
    interface HTMLPageCategoryTypografiElement extends Components.PageCategoryTypografi, HTMLStencilElement {
    }
    var HTMLPageCategoryTypografiElement: {
        prototype: HTMLPageCategoryTypografiElement;
        new (): HTMLPageCategoryTypografiElement;
    };
    interface HTMLPageCategoryUtfallbartElement extends Components.PageCategoryUtfallbart, HTMLStencilElement {
    }
    var HTMLPageCategoryUtfallbartElement: {
        prototype: HTMLPageCategoryUtfallbartElement;
        new (): HTMLPageCategoryUtfallbartElement;
    };
    interface HTMLPageCategoryVerktygElement extends Components.PageCategoryVerktyg, HTMLStencilElement {
    }
    var HTMLPageCategoryVerktygElement: {
        prototype: HTMLPageCategoryVerktygElement;
        new (): HTMLPageCategoryVerktygElement;
    };
    interface HTMLPageExternaWebbplatserElement extends Components.PageExternaWebbplatser, HTMLStencilElement {
    }
    var HTMLPageExternaWebbplatserElement: {
        prototype: HTMLPageExternaWebbplatserElement;
        new (): HTMLPageExternaWebbplatserElement;
    };
    interface HTMLPageFargerElement extends Components.PageFarger, HTMLStencilElement {
    }
    var HTMLPageFargerElement: {
        prototype: HTMLPageFargerElement;
        new (): HTMLPageFargerElement;
    };
    interface HTMLPageGrafikElement extends Components.PageGrafik, HTMLStencilElement {
    }
    var HTMLPageGrafikElement: {
        prototype: HTMLPageGrafikElement;
        new (): HTMLPageGrafikElement;
    };
    interface HTMLPageGrafiskProfilElement extends Components.PageGrafiskProfil, HTMLStencilElement {
    }
    var HTMLPageGrafiskProfilElement: {
        prototype: HTMLPageGrafiskProfilElement;
        new (): HTMLPageGrafiskProfilElement;
    };
    interface HTMLPageHomeElement extends Components.PageHome, HTMLStencilElement {
    }
    var HTMLPageHomeElement: {
        prototype: HTMLPageHomeElement;
        new (): HTMLPageHomeElement;
    };
    interface HTMLPageIllustrationerElement extends Components.PageIllustrationer, HTMLStencilElement {
    }
    var HTMLPageIllustrationerElement: {
        prototype: HTMLPageIllustrationerElement;
        new (): HTMLPageIllustrationerElement;
    };
    interface HTMLPageInternaWebbplatserElement extends Components.PageInternaWebbplatser, HTMLStencilElement {
    }
    var HTMLPageInternaWebbplatserElement: {
        prototype: HTMLPageInternaWebbplatserElement;
        new (): HTMLPageInternaWebbplatserElement;
    };
    interface HTMLPageJobbaMedDesignElement extends Components.PageJobbaMedDesign, HTMLStencilElement {
    }
    var HTMLPageJobbaMedDesignElement: {
        prototype: HTMLPageJobbaMedDesignElement;
        new (): HTMLPageJobbaMedDesignElement;
    };
    interface HTMLPageJobbaMedKodElement extends Components.PageJobbaMedKod, HTMLStencilElement {
    }
    var HTMLPageJobbaMedKodElement: {
        prototype: HTMLPageJobbaMedKodElement;
        new (): HTMLPageJobbaMedKodElement;
    };
    interface HTMLPageKlarsprakElement extends Components.PageKlarsprak, HTMLStencilElement {
    }
    var HTMLPageKlarsprakElement: {
        prototype: HTMLPageKlarsprakElement;
        new (): HTMLPageKlarsprakElement;
    };
    interface HTMLPageKomIgangElement extends Components.PageKomIgang, HTMLStencilElement {
    }
    var HTMLPageKomIgangElement: {
        prototype: HTMLPageKomIgangElement;
        new (): HTMLPageKomIgangElement;
    };
    interface HTMLPageLagkravOchRiktlinjerElement extends Components.PageLagkravOchRiktlinjer, HTMLStencilElement {
    }
    var HTMLPageLagkravOchRiktlinjerElement: {
        prototype: HTMLPageLagkravOchRiktlinjerElement;
        new (): HTMLPageLagkravOchRiktlinjerElement;
    };
    interface HTMLPageListaMedTillganglighetsbristerElement extends Components.PageListaMedTillganglighetsbrister, HTMLStencilElement {
    }
    var HTMLPageListaMedTillganglighetsbristerElement: {
        prototype: HTMLPageListaMedTillganglighetsbristerElement;
        new (): HTMLPageListaMedTillganglighetsbristerElement;
    };
    interface HTMLPageLogotypElement extends Components.PageLogotyp, HTMLStencilElement {
    }
    var HTMLPageLogotypElement: {
        prototype: HTMLPageLogotypElement;
        new (): HTMLPageLogotypElement;
    };
    interface HTMLPageNamngivningOchKlarsprakElement extends Components.PageNamngivningOchKlarsprak, HTMLStencilElement {
    }
    var HTMLPageNamngivningOchKlarsprakElement: {
        prototype: HTMLPageNamngivningOchKlarsprakElement;
        new (): HTMLPageNamngivningOchKlarsprakElement;
    };
    interface HTMLPageNivaerIWcagElement extends Components.PageNivaerIWcag, HTMLStencilElement {
    }
    var HTMLPageNivaerIWcagElement: {
        prototype: HTMLPageNivaerIWcagElement;
        new (): HTMLPageNivaerIWcagElement;
    };
    interface HTMLPageOversattningarElement extends Components.PageOversattningar, HTMLStencilElement {
    }
    var HTMLPageOversattningarElement: {
        prototype: HTMLPageOversattningarElement;
        new (): HTMLPageOversattningarElement;
    };
    interface HTMLPageProcessForTillganglighetsredogorelseElement extends Components.PageProcessForTillganglighetsredogorelse, HTMLStencilElement {
    }
    var HTMLPageProcessForTillganglighetsredogorelseElement: {
        prototype: HTMLPageProcessForTillganglighetsredogorelseElement;
        new (): HTMLPageProcessForTillganglighetsredogorelseElement;
    };
    interface HTMLPageReleaseNotesElement extends Components.PageReleaseNotes, HTMLStencilElement {
    }
    var HTMLPageReleaseNotesElement: {
        prototype: HTMLPageReleaseNotesElement;
        new (): HTMLPageReleaseNotesElement;
    };
    interface HTMLPageSprakElement extends Components.PageSprak, HTMLStencilElement {
    }
    var HTMLPageSprakElement: {
        prototype: HTMLPageSprakElement;
        new (): HTMLPageSprakElement;
    };
    interface HTMLPageTillganglighetElement extends Components.PageTillganglighet, HTMLStencilElement {
    }
    var HTMLPageTillganglighetElement: {
        prototype: HTMLPageTillganglighetElement;
        new (): HTMLPageTillganglighetElement;
    };
    interface HTMLPageTillganglighetslistaElement extends Components.PageTillganglighetslista, HTMLStencilElement {
    }
    var HTMLPageTillganglighetslistaElement: {
        prototype: HTMLPageTillganglighetslistaElement;
        new (): HTMLPageTillganglighetslistaElement;
    };
    interface HTMLPageTillganglighetsredogorelseElement extends Components.PageTillganglighetsredogorelse, HTMLStencilElement {
    }
    var HTMLPageTillganglighetsredogorelseElement: {
        prototype: HTMLPageTillganglighetsredogorelseElement;
        new (): HTMLPageTillganglighetsredogorelseElement;
    };
    interface HTMLPageTypografiElement extends Components.PageTypografi, HTMLStencilElement {
    }
    var HTMLPageTypografiElement: {
        prototype: HTMLPageTypografiElement;
        new (): HTMLPageTypografiElement;
    };
    interface HTMLPageVarumarketElement extends Components.PageVarumarket, HTMLStencilElement {
    }
    var HTMLPageVarumarketElement: {
        prototype: HTMLPageVarumarketElement;
        new (): HTMLPageVarumarketElement;
    };
    interface HTMLElementTagNameMap {
        "digi-button-details": HTMLDigiButtonDetailsElement;
        "digi-card-box-details": HTMLDigiCardBoxDetailsElement;
        "digi-card-link-details": HTMLDigiCardLinkDetailsElement;
        "digi-code-block-details": HTMLDigiCodeBlockDetailsElement;
        "digi-code-details": HTMLDigiCodeDetailsElement;
        "digi-code-example-details": HTMLDigiCodeExampleDetailsElement;
        "digi-dialog-details": HTMLDigiDialogDetailsElement;
        "digi-docs": HTMLDigiDocsElement;
        "digi-docs-color-swatch": HTMLDigiDocsColorSwatchElement;
        "digi-docs-color-token": HTMLDigiDocsColorTokenElement;
        "digi-docs-color-token-cards": HTMLDigiDocsColorTokenCardsElement;
        "digi-docs-component-api": HTMLDigiDocsComponentApiElement;
        "digi-docs-component-list": HTMLDigiDocsComponentListElement;
        "digi-docs-component-page": HTMLDigiDocsComponentPageElement;
        "digi-docs-footer": HTMLDigiDocsFooterElement;
        "digi-docs-header": HTMLDigiDocsHeaderElement;
        "digi-docs-navigation": HTMLDigiDocsNavigationElement;
        "digi-docs-page-layout": HTMLDigiDocsPageLayoutElement;
        "digi-docs-wcag-list": HTMLDigiDocsWcagListElement;
        "digi-expandable-accordion-details": HTMLDigiExpandableAccordionDetailsElement;
        "digi-form-checkbox-details": HTMLDigiFormCheckboxDetailsElement;
        "digi-form-fieldset-details": HTMLDigiFormFieldsetDetailsElement;
        "digi-form-file-upload-details": HTMLDigiFormFileUploadDetailsElement;
        "digi-form-input-details": HTMLDigiFormInputDetailsElement;
        "digi-form-input-search-details": HTMLDigiFormInputSearchDetailsElement;
        "digi-form-label-details": HTMLDigiFormLabelDetailsElement;
        "digi-form-process-step-details": HTMLDigiFormProcessStepDetailsElement;
        "digi-form-process-steps-details": HTMLDigiFormProcessStepsDetailsElement;
        "digi-form-radiobutton-details": HTMLDigiFormRadiobuttonDetailsElement;
        "digi-form-radiogroup-details": HTMLDigiFormRadiogroupDetailsElement;
        "digi-form-select-details": HTMLDigiFormSelectDetailsElement;
        "digi-form-textarea-details": HTMLDigiFormTextareaDetailsElement;
        "digi-form-validation-message-details": HTMLDigiFormValidationMessageDetailsElement;
        "digi-icon-details": HTMLDigiIconDetailsElement;
        "digi-layout-block-details": HTMLDigiLayoutBlockDetailsElement;
        "digi-layout-columns-details": HTMLDigiLayoutColumnsDetailsElement;
        "digi-layout-container-details": HTMLDigiLayoutContainerDetailsElement;
        "digi-layout-grid-details": HTMLDigiLayoutGridDetailsElement;
        "digi-layout-media-object-details": HTMLDigiLayoutMediaObjectDetailsElement;
        "digi-layout-rows-details": HTMLDigiLayoutRowsDetailsElement;
        "digi-layout-stacked-blocks-details": HTMLDigiLayoutStackedBlocksDetailsElement;
        "digi-link-details": HTMLDigiLinkDetailsElement;
        "digi-link-icon-details": HTMLDigiLinkIconDetailsElement;
        "digi-list-link-details": HTMLDigiListLinkDetailsElement;
        "digi-loader-spinner-details": HTMLDigiLoaderSpinnerDetailsElement;
        "digi-logo-details": HTMLDigiLogoDetailsElement;
        "digi-logo-service-details": HTMLDigiLogoServiceDetailsElement;
        "digi-logo-sister-details": HTMLDigiLogoSisterDetailsElement;
        "digi-media-figure-details": HTMLDigiMediaFigureDetailsElement;
        "digi-media-image-details": HTMLDigiMediaImageDetailsElement;
        "digi-navigation-breadcrumbs-details": HTMLDigiNavigationBreadcrumbsDetailsElement;
        "digi-navigation-main-menu-details": HTMLDigiNavigationMainMenuDetailsElement;
        "digi-navigation-main-menu-panel-details": HTMLDigiNavigationMainMenuPanelDetailsElement;
        "digi-navigation-pagination-details": HTMLDigiNavigationPaginationDetailsElement;
        "digi-navigation-tab-details": HTMLDigiNavigationTabDetailsElement;
        "digi-navigation-tab-in-a-box-details": HTMLDigiNavigationTabInABoxDetailsElement;
        "digi-navigation-tabs-details": HTMLDigiNavigationTabsDetailsElement;
        "digi-navigation-toc-details": HTMLDigiNavigationTocDetailsElement;
        "digi-notification-alert-details": HTMLDigiNotificationAlertDetailsElement;
        "digi-notification-cookie-details": HTMLDigiNotificationCookieDetailsElement;
        "digi-notification-detail-details": HTMLDigiNotificationDetailDetailsElement;
        "digi-page-block-cards-details": HTMLDigiPageBlockCardsDetailsElement;
        "digi-page-block-hero-details": HTMLDigiPageBlockHeroDetailsElement;
        "digi-page-block-lists-details": HTMLDigiPageBlockListsDetailsElement;
        "digi-page-block-sidebar-details": HTMLDigiPageBlockSidebarDetailsElement;
        "digi-page-details": HTMLDigiPageDetailsElement;
        "digi-page-footer-details": HTMLDigiPageFooterDetailsElement;
        "digi-page-header-details": HTMLDigiPageHeaderDetailsElement;
        "digi-table-details": HTMLDigiTableDetailsElement;
        "digi-typography-details": HTMLDigiTypographyDetailsElement;
        "digi-typography-heading-section-details": HTMLDigiTypographyHeadingSectionDetailsElement;
        "digi-typography-preamble-details": HTMLDigiTypographyPreambleDetailsElement;
        "digi-typography-time-details": HTMLDigiTypographyTimeDetailsElement;
        "digi-util-breakpoint-observer-details": HTMLDigiUtilBreakpointObserverDetailsElement;
        "digi-util-detect-click-outside-details": HTMLDigiUtilDetectClickOutsideDetailsElement;
        "digi-util-detect-focus-outside-details": HTMLDigiUtilDetectFocusOutsideDetailsElement;
        "digi-util-intersection-observer-details": HTMLDigiUtilIntersectionObserverDetailsElement;
        "digi-util-keydown-handler-details": HTMLDigiUtilKeydownHandlerDetailsElement;
        "digi-util-keyup-handler-details": HTMLDigiUtilKeyupHandlerDetailsElement;
        "digi-util-mutation-observer-details": HTMLDigiUtilMutationObserverDetailsElement;
        "page-bildsprak": HTMLPageBildsprakElement;
        "page-category-dialog": HTMLPageCategoryDialogElement;
        "page-category-formular": HTMLPageCategoryFormularElement;
        "page-category-ikoner": HTMLPageCategoryIkonerElement;
        "page-category-knappar": HTMLPageCategoryKnapparElement;
        "page-category-kod": HTMLPageCategoryKodElement;
        "page-category-komponenter": HTMLPageCategoryKomponenterElement;
        "page-category-kort": HTMLPageCategoryKortElement;
        "page-category-laddningsindikatorer": HTMLPageCategoryLaddningsindikatorerElement;
        "page-category-lankar": HTMLPageCategoryLankarElement;
        "page-category-layout": HTMLPageCategoryLayoutElement;
        "page-category-listor": HTMLPageCategoryListorElement;
        "page-category-logo": HTMLPageCategoryLogoElement;
        "page-category-meddelanden": HTMLPageCategoryMeddelandenElement;
        "page-category-media": HTMLPageCategoryMediaElement;
        "page-category-navigation": HTMLPageCategoryNavigationElement;
        "page-category-sidblock-och-delar": HTMLPageCategorySidblockOchDelarElement;
        "page-category-tabeller": HTMLPageCategoryTabellerElement;
        "page-category-typografi": HTMLPageCategoryTypografiElement;
        "page-category-utfallbart": HTMLPageCategoryUtfallbartElement;
        "page-category-verktyg": HTMLPageCategoryVerktygElement;
        "page-externa-webbplatser": HTMLPageExternaWebbplatserElement;
        "page-farger": HTMLPageFargerElement;
        "page-grafik": HTMLPageGrafikElement;
        "page-grafisk-profil": HTMLPageGrafiskProfilElement;
        "page-home": HTMLPageHomeElement;
        "page-illustrationer": HTMLPageIllustrationerElement;
        "page-interna-webbplatser": HTMLPageInternaWebbplatserElement;
        "page-jobba-med-design": HTMLPageJobbaMedDesignElement;
        "page-jobba-med-kod": HTMLPageJobbaMedKodElement;
        "page-klarsprak": HTMLPageKlarsprakElement;
        "page-kom-igang": HTMLPageKomIgangElement;
        "page-lagkrav-och-riktlinjer": HTMLPageLagkravOchRiktlinjerElement;
        "page-lista-med-tillganglighetsbrister": HTMLPageListaMedTillganglighetsbristerElement;
        "page-logotyp": HTMLPageLogotypElement;
        "page-namngivning-och-klarsprak": HTMLPageNamngivningOchKlarsprakElement;
        "page-nivaer-i-wcag": HTMLPageNivaerIWcagElement;
        "page-oversattningar": HTMLPageOversattningarElement;
        "page-process-for-tillganglighetsredogorelse": HTMLPageProcessForTillganglighetsredogorelseElement;
        "page-release-notes": HTMLPageReleaseNotesElement;
        "page-sprak": HTMLPageSprakElement;
        "page-tillganglighet": HTMLPageTillganglighetElement;
        "page-tillganglighetslista": HTMLPageTillganglighetslistaElement;
        "page-tillganglighetsredogorelse": HTMLPageTillganglighetsredogorelseElement;
        "page-typografi": HTMLPageTypografiElement;
        "page-varumarket": HTMLPageVarumarketElement;
    }
}
declare namespace LocalJSX {
    interface DigiButtonDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiCardBoxDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiCardLinkDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiCodeBlockDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiCodeDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiCodeExampleDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiDialogDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiDocs {
        "afRoot"?: string;
    }
    interface DigiDocsColorSwatch {
        /**
          * Design token
         */
        "token"?: string;
        /**
          * Show border
         */
        "tokenBorder"?: boolean;
        "tokenColorFormat"?: string;
        /**
          * Color swatch selected
         */
        "tokenSelected"?: boolean;
        /**
          * Color swatch size
         */
        "tokenSize"?: DocsColorSwatchSize;
        "tokenText"?: string;
        /**
          * Color swatch variation
         */
        "tokenVariation"?: DocsColorSwatchVariation;
    }
    interface DigiDocsColorToken {
        /**
          * Design token
         */
        "token"?: string;
        "tokenFormat"?: TokenFormat;
        "tokenVariation"?: DocsColorSwatchVariation;
    }
    interface DigiDocsColorTokenCards {
        "colorTokens"?: any;
        "tokenFormat"?: TokenFormat;
    }
    interface DigiDocsComponentApi {
        "tag"?: ComponentTag;
    }
    interface DigiDocsComponentList {
        "category"?: Category;
    }
    interface DigiDocsComponentPage {
        "category"?: string;
        "name"?: string;
        "tab"?: 'oversikt' | 'api';
        "tag"?: ComponentTag;
    }
    interface DigiDocsFooter {
    }
    interface DigiDocsHeader {
    }
    interface DigiDocsNavigation {
    }
    interface DigiDocsPageLayout {
        "afEditBaseUrl"?: string;
        "afEditHref"?: string;
        "afPageHeading"?: string;
    }
    interface DigiDocsWcagList {
    }
    interface DigiExpandableAccordionDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormCheckboxDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormFieldsetDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormFileUploadDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormInputDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormInputSearchDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormLabelDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormProcessStepDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormProcessStepsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormRadiobuttonDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormRadiogroupDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormSelectDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormTextareaDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiFormValidationMessageDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiIconDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutBlockDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutColumnsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutContainerDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutGridDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutMediaObjectDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutRowsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLayoutStackedBlocksDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLinkDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLinkIconDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiListLinkDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLoaderSpinnerDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLogoDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLogoServiceDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiLogoSisterDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiMediaFigureDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiMediaImageDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationBreadcrumbsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationMainMenuDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationMainMenuPanelDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationPaginationDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationTabDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationTabInABoxDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationTabsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNavigationTocDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNotificationAlertDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNotificationCookieDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiNotificationDetailDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageBlockCardsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageBlockHeroDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageBlockListsDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageBlockSidebarDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageFooterDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiPageHeaderDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiTableDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiTypographyDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiTypographyHeadingSectionDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiTypographyPreambleDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiTypographyTimeDetails {
        "afHideCode"?: boolean;
        "afHideControls"?: boolean;
        "afShowOnlyExample"?: boolean;
    }
    interface DigiUtilBreakpointObserverDetails {
    }
    interface DigiUtilDetectClickOutsideDetails {
    }
    interface DigiUtilDetectFocusOutsideDetails {
    }
    interface DigiUtilIntersectionObserverDetails {
    }
    interface DigiUtilKeydownHandlerDetails {
    }
    interface DigiUtilKeyupHandlerDetails {
    }
    interface DigiUtilMutationObserverDetails {
    }
    interface PageBildsprak {
    }
    interface PageCategoryDialog {
    }
    interface PageCategoryFormular {
    }
    interface PageCategoryIkoner {
    }
    interface PageCategoryKnappar {
    }
    interface PageCategoryKod {
    }
    interface PageCategoryKomponenter {
    }
    interface PageCategoryKort {
    }
    interface PageCategoryLaddningsindikatorer {
    }
    interface PageCategoryLankar {
    }
    interface PageCategoryLayout {
    }
    interface PageCategoryListor {
    }
    interface PageCategoryLogo {
    }
    interface PageCategoryMeddelanden {
    }
    interface PageCategoryMedia {
    }
    interface PageCategoryNavigation {
    }
    interface PageCategorySidblockOchDelar {
    }
    interface PageCategoryTabeller {
    }
    interface PageCategoryTypografi {
    }
    interface PageCategoryUtfallbart {
    }
    interface PageCategoryVerktyg {
    }
    interface PageExternaWebbplatser {
    }
    interface PageFarger {
    }
    interface PageGrafik {
    }
    interface PageGrafiskProfil {
    }
    interface PageHome {
    }
    interface PageIllustrationer {
    }
    interface PageInternaWebbplatser {
    }
    interface PageJobbaMedDesign {
    }
    interface PageJobbaMedKod {
    }
    interface PageKlarsprak {
    }
    interface PageKomIgang {
    }
    interface PageLagkravOchRiktlinjer {
    }
    interface PageListaMedTillganglighetsbrister {
    }
    interface PageLogotyp {
    }
    interface PageNamngivningOchKlarsprak {
    }
    interface PageNivaerIWcag {
    }
    interface PageOversattningar {
    }
    interface PageProcessForTillganglighetsredogorelse {
    }
    interface PageReleaseNotes {
    }
    interface PageSprak {
    }
    interface PageTillganglighet {
    }
    interface PageTillganglighetslista {
    }
    interface PageTillganglighetsredogorelse {
    }
    interface PageTypografi {
    }
    interface PageVarumarket {
    }
    interface IntrinsicElements {
        "digi-button-details": DigiButtonDetails;
        "digi-card-box-details": DigiCardBoxDetails;
        "digi-card-link-details": DigiCardLinkDetails;
        "digi-code-block-details": DigiCodeBlockDetails;
        "digi-code-details": DigiCodeDetails;
        "digi-code-example-details": DigiCodeExampleDetails;
        "digi-dialog-details": DigiDialogDetails;
        "digi-docs": DigiDocs;
        "digi-docs-color-swatch": DigiDocsColorSwatch;
        "digi-docs-color-token": DigiDocsColorToken;
        "digi-docs-color-token-cards": DigiDocsColorTokenCards;
        "digi-docs-component-api": DigiDocsComponentApi;
        "digi-docs-component-list": DigiDocsComponentList;
        "digi-docs-component-page": DigiDocsComponentPage;
        "digi-docs-footer": DigiDocsFooter;
        "digi-docs-header": DigiDocsHeader;
        "digi-docs-navigation": DigiDocsNavigation;
        "digi-docs-page-layout": DigiDocsPageLayout;
        "digi-docs-wcag-list": DigiDocsWcagList;
        "digi-expandable-accordion-details": DigiExpandableAccordionDetails;
        "digi-form-checkbox-details": DigiFormCheckboxDetails;
        "digi-form-fieldset-details": DigiFormFieldsetDetails;
        "digi-form-file-upload-details": DigiFormFileUploadDetails;
        "digi-form-input-details": DigiFormInputDetails;
        "digi-form-input-search-details": DigiFormInputSearchDetails;
        "digi-form-label-details": DigiFormLabelDetails;
        "digi-form-process-step-details": DigiFormProcessStepDetails;
        "digi-form-process-steps-details": DigiFormProcessStepsDetails;
        "digi-form-radiobutton-details": DigiFormRadiobuttonDetails;
        "digi-form-radiogroup-details": DigiFormRadiogroupDetails;
        "digi-form-select-details": DigiFormSelectDetails;
        "digi-form-textarea-details": DigiFormTextareaDetails;
        "digi-form-validation-message-details": DigiFormValidationMessageDetails;
        "digi-icon-details": DigiIconDetails;
        "digi-layout-block-details": DigiLayoutBlockDetails;
        "digi-layout-columns-details": DigiLayoutColumnsDetails;
        "digi-layout-container-details": DigiLayoutContainerDetails;
        "digi-layout-grid-details": DigiLayoutGridDetails;
        "digi-layout-media-object-details": DigiLayoutMediaObjectDetails;
        "digi-layout-rows-details": DigiLayoutRowsDetails;
        "digi-layout-stacked-blocks-details": DigiLayoutStackedBlocksDetails;
        "digi-link-details": DigiLinkDetails;
        "digi-link-icon-details": DigiLinkIconDetails;
        "digi-list-link-details": DigiListLinkDetails;
        "digi-loader-spinner-details": DigiLoaderSpinnerDetails;
        "digi-logo-details": DigiLogoDetails;
        "digi-logo-service-details": DigiLogoServiceDetails;
        "digi-logo-sister-details": DigiLogoSisterDetails;
        "digi-media-figure-details": DigiMediaFigureDetails;
        "digi-media-image-details": DigiMediaImageDetails;
        "digi-navigation-breadcrumbs-details": DigiNavigationBreadcrumbsDetails;
        "digi-navigation-main-menu-details": DigiNavigationMainMenuDetails;
        "digi-navigation-main-menu-panel-details": DigiNavigationMainMenuPanelDetails;
        "digi-navigation-pagination-details": DigiNavigationPaginationDetails;
        "digi-navigation-tab-details": DigiNavigationTabDetails;
        "digi-navigation-tab-in-a-box-details": DigiNavigationTabInABoxDetails;
        "digi-navigation-tabs-details": DigiNavigationTabsDetails;
        "digi-navigation-toc-details": DigiNavigationTocDetails;
        "digi-notification-alert-details": DigiNotificationAlertDetails;
        "digi-notification-cookie-details": DigiNotificationCookieDetails;
        "digi-notification-detail-details": DigiNotificationDetailDetails;
        "digi-page-block-cards-details": DigiPageBlockCardsDetails;
        "digi-page-block-hero-details": DigiPageBlockHeroDetails;
        "digi-page-block-lists-details": DigiPageBlockListsDetails;
        "digi-page-block-sidebar-details": DigiPageBlockSidebarDetails;
        "digi-page-details": DigiPageDetails;
        "digi-page-footer-details": DigiPageFooterDetails;
        "digi-page-header-details": DigiPageHeaderDetails;
        "digi-table-details": DigiTableDetails;
        "digi-typography-details": DigiTypographyDetails;
        "digi-typography-heading-section-details": DigiTypographyHeadingSectionDetails;
        "digi-typography-preamble-details": DigiTypographyPreambleDetails;
        "digi-typography-time-details": DigiTypographyTimeDetails;
        "digi-util-breakpoint-observer-details": DigiUtilBreakpointObserverDetails;
        "digi-util-detect-click-outside-details": DigiUtilDetectClickOutsideDetails;
        "digi-util-detect-focus-outside-details": DigiUtilDetectFocusOutsideDetails;
        "digi-util-intersection-observer-details": DigiUtilIntersectionObserverDetails;
        "digi-util-keydown-handler-details": DigiUtilKeydownHandlerDetails;
        "digi-util-keyup-handler-details": DigiUtilKeyupHandlerDetails;
        "digi-util-mutation-observer-details": DigiUtilMutationObserverDetails;
        "page-bildsprak": PageBildsprak;
        "page-category-dialog": PageCategoryDialog;
        "page-category-formular": PageCategoryFormular;
        "page-category-ikoner": PageCategoryIkoner;
        "page-category-knappar": PageCategoryKnappar;
        "page-category-kod": PageCategoryKod;
        "page-category-komponenter": PageCategoryKomponenter;
        "page-category-kort": PageCategoryKort;
        "page-category-laddningsindikatorer": PageCategoryLaddningsindikatorer;
        "page-category-lankar": PageCategoryLankar;
        "page-category-layout": PageCategoryLayout;
        "page-category-listor": PageCategoryListor;
        "page-category-logo": PageCategoryLogo;
        "page-category-meddelanden": PageCategoryMeddelanden;
        "page-category-media": PageCategoryMedia;
        "page-category-navigation": PageCategoryNavigation;
        "page-category-sidblock-och-delar": PageCategorySidblockOchDelar;
        "page-category-tabeller": PageCategoryTabeller;
        "page-category-typografi": PageCategoryTypografi;
        "page-category-utfallbart": PageCategoryUtfallbart;
        "page-category-verktyg": PageCategoryVerktyg;
        "page-externa-webbplatser": PageExternaWebbplatser;
        "page-farger": PageFarger;
        "page-grafik": PageGrafik;
        "page-grafisk-profil": PageGrafiskProfil;
        "page-home": PageHome;
        "page-illustrationer": PageIllustrationer;
        "page-interna-webbplatser": PageInternaWebbplatser;
        "page-jobba-med-design": PageJobbaMedDesign;
        "page-jobba-med-kod": PageJobbaMedKod;
        "page-klarsprak": PageKlarsprak;
        "page-kom-igang": PageKomIgang;
        "page-lagkrav-och-riktlinjer": PageLagkravOchRiktlinjer;
        "page-lista-med-tillganglighetsbrister": PageListaMedTillganglighetsbrister;
        "page-logotyp": PageLogotyp;
        "page-namngivning-och-klarsprak": PageNamngivningOchKlarsprak;
        "page-nivaer-i-wcag": PageNivaerIWcag;
        "page-oversattningar": PageOversattningar;
        "page-process-for-tillganglighetsredogorelse": PageProcessForTillganglighetsredogorelse;
        "page-release-notes": PageReleaseNotes;
        "page-sprak": PageSprak;
        "page-tillganglighet": PageTillganglighet;
        "page-tillganglighetslista": PageTillganglighetslista;
        "page-tillganglighetsredogorelse": PageTillganglighetsredogorelse;
        "page-typografi": PageTypografi;
        "page-varumarket": PageVarumarket;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "digi-button-details": LocalJSX.DigiButtonDetails & JSXBase.HTMLAttributes<HTMLDigiButtonDetailsElement>;
            "digi-card-box-details": LocalJSX.DigiCardBoxDetails & JSXBase.HTMLAttributes<HTMLDigiCardBoxDetailsElement>;
            "digi-card-link-details": LocalJSX.DigiCardLinkDetails & JSXBase.HTMLAttributes<HTMLDigiCardLinkDetailsElement>;
            "digi-code-block-details": LocalJSX.DigiCodeBlockDetails & JSXBase.HTMLAttributes<HTMLDigiCodeBlockDetailsElement>;
            "digi-code-details": LocalJSX.DigiCodeDetails & JSXBase.HTMLAttributes<HTMLDigiCodeDetailsElement>;
            "digi-code-example-details": LocalJSX.DigiCodeExampleDetails & JSXBase.HTMLAttributes<HTMLDigiCodeExampleDetailsElement>;
            "digi-dialog-details": LocalJSX.DigiDialogDetails & JSXBase.HTMLAttributes<HTMLDigiDialogDetailsElement>;
            "digi-docs": LocalJSX.DigiDocs & JSXBase.HTMLAttributes<HTMLDigiDocsElement>;
            "digi-docs-color-swatch": LocalJSX.DigiDocsColorSwatch & JSXBase.HTMLAttributes<HTMLDigiDocsColorSwatchElement>;
            "digi-docs-color-token": LocalJSX.DigiDocsColorToken & JSXBase.HTMLAttributes<HTMLDigiDocsColorTokenElement>;
            "digi-docs-color-token-cards": LocalJSX.DigiDocsColorTokenCards & JSXBase.HTMLAttributes<HTMLDigiDocsColorTokenCardsElement>;
            "digi-docs-component-api": LocalJSX.DigiDocsComponentApi & JSXBase.HTMLAttributes<HTMLDigiDocsComponentApiElement>;
            "digi-docs-component-list": LocalJSX.DigiDocsComponentList & JSXBase.HTMLAttributes<HTMLDigiDocsComponentListElement>;
            "digi-docs-component-page": LocalJSX.DigiDocsComponentPage & JSXBase.HTMLAttributes<HTMLDigiDocsComponentPageElement>;
            "digi-docs-footer": LocalJSX.DigiDocsFooter & JSXBase.HTMLAttributes<HTMLDigiDocsFooterElement>;
            "digi-docs-header": LocalJSX.DigiDocsHeader & JSXBase.HTMLAttributes<HTMLDigiDocsHeaderElement>;
            "digi-docs-navigation": LocalJSX.DigiDocsNavigation & JSXBase.HTMLAttributes<HTMLDigiDocsNavigationElement>;
            "digi-docs-page-layout": LocalJSX.DigiDocsPageLayout & JSXBase.HTMLAttributes<HTMLDigiDocsPageLayoutElement>;
            "digi-docs-wcag-list": LocalJSX.DigiDocsWcagList & JSXBase.HTMLAttributes<HTMLDigiDocsWcagListElement>;
            "digi-expandable-accordion-details": LocalJSX.DigiExpandableAccordionDetails & JSXBase.HTMLAttributes<HTMLDigiExpandableAccordionDetailsElement>;
            "digi-form-checkbox-details": LocalJSX.DigiFormCheckboxDetails & JSXBase.HTMLAttributes<HTMLDigiFormCheckboxDetailsElement>;
            "digi-form-fieldset-details": LocalJSX.DigiFormFieldsetDetails & JSXBase.HTMLAttributes<HTMLDigiFormFieldsetDetailsElement>;
            "digi-form-file-upload-details": LocalJSX.DigiFormFileUploadDetails & JSXBase.HTMLAttributes<HTMLDigiFormFileUploadDetailsElement>;
            "digi-form-input-details": LocalJSX.DigiFormInputDetails & JSXBase.HTMLAttributes<HTMLDigiFormInputDetailsElement>;
            "digi-form-input-search-details": LocalJSX.DigiFormInputSearchDetails & JSXBase.HTMLAttributes<HTMLDigiFormInputSearchDetailsElement>;
            "digi-form-label-details": LocalJSX.DigiFormLabelDetails & JSXBase.HTMLAttributes<HTMLDigiFormLabelDetailsElement>;
            "digi-form-process-step-details": LocalJSX.DigiFormProcessStepDetails & JSXBase.HTMLAttributes<HTMLDigiFormProcessStepDetailsElement>;
            "digi-form-process-steps-details": LocalJSX.DigiFormProcessStepsDetails & JSXBase.HTMLAttributes<HTMLDigiFormProcessStepsDetailsElement>;
            "digi-form-radiobutton-details": LocalJSX.DigiFormRadiobuttonDetails & JSXBase.HTMLAttributes<HTMLDigiFormRadiobuttonDetailsElement>;
            "digi-form-radiogroup-details": LocalJSX.DigiFormRadiogroupDetails & JSXBase.HTMLAttributes<HTMLDigiFormRadiogroupDetailsElement>;
            "digi-form-select-details": LocalJSX.DigiFormSelectDetails & JSXBase.HTMLAttributes<HTMLDigiFormSelectDetailsElement>;
            "digi-form-textarea-details": LocalJSX.DigiFormTextareaDetails & JSXBase.HTMLAttributes<HTMLDigiFormTextareaDetailsElement>;
            "digi-form-validation-message-details": LocalJSX.DigiFormValidationMessageDetails & JSXBase.HTMLAttributes<HTMLDigiFormValidationMessageDetailsElement>;
            "digi-icon-details": LocalJSX.DigiIconDetails & JSXBase.HTMLAttributes<HTMLDigiIconDetailsElement>;
            "digi-layout-block-details": LocalJSX.DigiLayoutBlockDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutBlockDetailsElement>;
            "digi-layout-columns-details": LocalJSX.DigiLayoutColumnsDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutColumnsDetailsElement>;
            "digi-layout-container-details": LocalJSX.DigiLayoutContainerDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutContainerDetailsElement>;
            "digi-layout-grid-details": LocalJSX.DigiLayoutGridDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutGridDetailsElement>;
            "digi-layout-media-object-details": LocalJSX.DigiLayoutMediaObjectDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutMediaObjectDetailsElement>;
            "digi-layout-rows-details": LocalJSX.DigiLayoutRowsDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutRowsDetailsElement>;
            "digi-layout-stacked-blocks-details": LocalJSX.DigiLayoutStackedBlocksDetails & JSXBase.HTMLAttributes<HTMLDigiLayoutStackedBlocksDetailsElement>;
            "digi-link-details": LocalJSX.DigiLinkDetails & JSXBase.HTMLAttributes<HTMLDigiLinkDetailsElement>;
            "digi-link-icon-details": LocalJSX.DigiLinkIconDetails & JSXBase.HTMLAttributes<HTMLDigiLinkIconDetailsElement>;
            "digi-list-link-details": LocalJSX.DigiListLinkDetails & JSXBase.HTMLAttributes<HTMLDigiListLinkDetailsElement>;
            "digi-loader-spinner-details": LocalJSX.DigiLoaderSpinnerDetails & JSXBase.HTMLAttributes<HTMLDigiLoaderSpinnerDetailsElement>;
            "digi-logo-details": LocalJSX.DigiLogoDetails & JSXBase.HTMLAttributes<HTMLDigiLogoDetailsElement>;
            "digi-logo-service-details": LocalJSX.DigiLogoServiceDetails & JSXBase.HTMLAttributes<HTMLDigiLogoServiceDetailsElement>;
            "digi-logo-sister-details": LocalJSX.DigiLogoSisterDetails & JSXBase.HTMLAttributes<HTMLDigiLogoSisterDetailsElement>;
            "digi-media-figure-details": LocalJSX.DigiMediaFigureDetails & JSXBase.HTMLAttributes<HTMLDigiMediaFigureDetailsElement>;
            "digi-media-image-details": LocalJSX.DigiMediaImageDetails & JSXBase.HTMLAttributes<HTMLDigiMediaImageDetailsElement>;
            "digi-navigation-breadcrumbs-details": LocalJSX.DigiNavigationBreadcrumbsDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationBreadcrumbsDetailsElement>;
            "digi-navigation-main-menu-details": LocalJSX.DigiNavigationMainMenuDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationMainMenuDetailsElement>;
            "digi-navigation-main-menu-panel-details": LocalJSX.DigiNavigationMainMenuPanelDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationMainMenuPanelDetailsElement>;
            "digi-navigation-pagination-details": LocalJSX.DigiNavigationPaginationDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationPaginationDetailsElement>;
            "digi-navigation-tab-details": LocalJSX.DigiNavigationTabDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationTabDetailsElement>;
            "digi-navigation-tab-in-a-box-details": LocalJSX.DigiNavigationTabInABoxDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationTabInABoxDetailsElement>;
            "digi-navigation-tabs-details": LocalJSX.DigiNavigationTabsDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationTabsDetailsElement>;
            "digi-navigation-toc-details": LocalJSX.DigiNavigationTocDetails & JSXBase.HTMLAttributes<HTMLDigiNavigationTocDetailsElement>;
            "digi-notification-alert-details": LocalJSX.DigiNotificationAlertDetails & JSXBase.HTMLAttributes<HTMLDigiNotificationAlertDetailsElement>;
            "digi-notification-cookie-details": LocalJSX.DigiNotificationCookieDetails & JSXBase.HTMLAttributes<HTMLDigiNotificationCookieDetailsElement>;
            "digi-notification-detail-details": LocalJSX.DigiNotificationDetailDetails & JSXBase.HTMLAttributes<HTMLDigiNotificationDetailDetailsElement>;
            "digi-page-block-cards-details": LocalJSX.DigiPageBlockCardsDetails & JSXBase.HTMLAttributes<HTMLDigiPageBlockCardsDetailsElement>;
            "digi-page-block-hero-details": LocalJSX.DigiPageBlockHeroDetails & JSXBase.HTMLAttributes<HTMLDigiPageBlockHeroDetailsElement>;
            "digi-page-block-lists-details": LocalJSX.DigiPageBlockListsDetails & JSXBase.HTMLAttributes<HTMLDigiPageBlockListsDetailsElement>;
            "digi-page-block-sidebar-details": LocalJSX.DigiPageBlockSidebarDetails & JSXBase.HTMLAttributes<HTMLDigiPageBlockSidebarDetailsElement>;
            "digi-page-details": LocalJSX.DigiPageDetails & JSXBase.HTMLAttributes<HTMLDigiPageDetailsElement>;
            "digi-page-footer-details": LocalJSX.DigiPageFooterDetails & JSXBase.HTMLAttributes<HTMLDigiPageFooterDetailsElement>;
            "digi-page-header-details": LocalJSX.DigiPageHeaderDetails & JSXBase.HTMLAttributes<HTMLDigiPageHeaderDetailsElement>;
            "digi-table-details": LocalJSX.DigiTableDetails & JSXBase.HTMLAttributes<HTMLDigiTableDetailsElement>;
            "digi-typography-details": LocalJSX.DigiTypographyDetails & JSXBase.HTMLAttributes<HTMLDigiTypographyDetailsElement>;
            "digi-typography-heading-section-details": LocalJSX.DigiTypographyHeadingSectionDetails & JSXBase.HTMLAttributes<HTMLDigiTypographyHeadingSectionDetailsElement>;
            "digi-typography-preamble-details": LocalJSX.DigiTypographyPreambleDetails & JSXBase.HTMLAttributes<HTMLDigiTypographyPreambleDetailsElement>;
            "digi-typography-time-details": LocalJSX.DigiTypographyTimeDetails & JSXBase.HTMLAttributes<HTMLDigiTypographyTimeDetailsElement>;
            "digi-util-breakpoint-observer-details": LocalJSX.DigiUtilBreakpointObserverDetails & JSXBase.HTMLAttributes<HTMLDigiUtilBreakpointObserverDetailsElement>;
            "digi-util-detect-click-outside-details": LocalJSX.DigiUtilDetectClickOutsideDetails & JSXBase.HTMLAttributes<HTMLDigiUtilDetectClickOutsideDetailsElement>;
            "digi-util-detect-focus-outside-details": LocalJSX.DigiUtilDetectFocusOutsideDetails & JSXBase.HTMLAttributes<HTMLDigiUtilDetectFocusOutsideDetailsElement>;
            "digi-util-intersection-observer-details": LocalJSX.DigiUtilIntersectionObserverDetails & JSXBase.HTMLAttributes<HTMLDigiUtilIntersectionObserverDetailsElement>;
            "digi-util-keydown-handler-details": LocalJSX.DigiUtilKeydownHandlerDetails & JSXBase.HTMLAttributes<HTMLDigiUtilKeydownHandlerDetailsElement>;
            "digi-util-keyup-handler-details": LocalJSX.DigiUtilKeyupHandlerDetails & JSXBase.HTMLAttributes<HTMLDigiUtilKeyupHandlerDetailsElement>;
            "digi-util-mutation-observer-details": LocalJSX.DigiUtilMutationObserverDetails & JSXBase.HTMLAttributes<HTMLDigiUtilMutationObserverDetailsElement>;
            "page-bildsprak": LocalJSX.PageBildsprak & JSXBase.HTMLAttributes<HTMLPageBildsprakElement>;
            "page-category-dialog": LocalJSX.PageCategoryDialog & JSXBase.HTMLAttributes<HTMLPageCategoryDialogElement>;
            "page-category-formular": LocalJSX.PageCategoryFormular & JSXBase.HTMLAttributes<HTMLPageCategoryFormularElement>;
            "page-category-ikoner": LocalJSX.PageCategoryIkoner & JSXBase.HTMLAttributes<HTMLPageCategoryIkonerElement>;
            "page-category-knappar": LocalJSX.PageCategoryKnappar & JSXBase.HTMLAttributes<HTMLPageCategoryKnapparElement>;
            "page-category-kod": LocalJSX.PageCategoryKod & JSXBase.HTMLAttributes<HTMLPageCategoryKodElement>;
            "page-category-komponenter": LocalJSX.PageCategoryKomponenter & JSXBase.HTMLAttributes<HTMLPageCategoryKomponenterElement>;
            "page-category-kort": LocalJSX.PageCategoryKort & JSXBase.HTMLAttributes<HTMLPageCategoryKortElement>;
            "page-category-laddningsindikatorer": LocalJSX.PageCategoryLaddningsindikatorer & JSXBase.HTMLAttributes<HTMLPageCategoryLaddningsindikatorerElement>;
            "page-category-lankar": LocalJSX.PageCategoryLankar & JSXBase.HTMLAttributes<HTMLPageCategoryLankarElement>;
            "page-category-layout": LocalJSX.PageCategoryLayout & JSXBase.HTMLAttributes<HTMLPageCategoryLayoutElement>;
            "page-category-listor": LocalJSX.PageCategoryListor & JSXBase.HTMLAttributes<HTMLPageCategoryListorElement>;
            "page-category-logo": LocalJSX.PageCategoryLogo & JSXBase.HTMLAttributes<HTMLPageCategoryLogoElement>;
            "page-category-meddelanden": LocalJSX.PageCategoryMeddelanden & JSXBase.HTMLAttributes<HTMLPageCategoryMeddelandenElement>;
            "page-category-media": LocalJSX.PageCategoryMedia & JSXBase.HTMLAttributes<HTMLPageCategoryMediaElement>;
            "page-category-navigation": LocalJSX.PageCategoryNavigation & JSXBase.HTMLAttributes<HTMLPageCategoryNavigationElement>;
            "page-category-sidblock-och-delar": LocalJSX.PageCategorySidblockOchDelar & JSXBase.HTMLAttributes<HTMLPageCategorySidblockOchDelarElement>;
            "page-category-tabeller": LocalJSX.PageCategoryTabeller & JSXBase.HTMLAttributes<HTMLPageCategoryTabellerElement>;
            "page-category-typografi": LocalJSX.PageCategoryTypografi & JSXBase.HTMLAttributes<HTMLPageCategoryTypografiElement>;
            "page-category-utfallbart": LocalJSX.PageCategoryUtfallbart & JSXBase.HTMLAttributes<HTMLPageCategoryUtfallbartElement>;
            "page-category-verktyg": LocalJSX.PageCategoryVerktyg & JSXBase.HTMLAttributes<HTMLPageCategoryVerktygElement>;
            "page-externa-webbplatser": LocalJSX.PageExternaWebbplatser & JSXBase.HTMLAttributes<HTMLPageExternaWebbplatserElement>;
            "page-farger": LocalJSX.PageFarger & JSXBase.HTMLAttributes<HTMLPageFargerElement>;
            "page-grafik": LocalJSX.PageGrafik & JSXBase.HTMLAttributes<HTMLPageGrafikElement>;
            "page-grafisk-profil": LocalJSX.PageGrafiskProfil & JSXBase.HTMLAttributes<HTMLPageGrafiskProfilElement>;
            "page-home": LocalJSX.PageHome & JSXBase.HTMLAttributes<HTMLPageHomeElement>;
            "page-illustrationer": LocalJSX.PageIllustrationer & JSXBase.HTMLAttributes<HTMLPageIllustrationerElement>;
            "page-interna-webbplatser": LocalJSX.PageInternaWebbplatser & JSXBase.HTMLAttributes<HTMLPageInternaWebbplatserElement>;
            "page-jobba-med-design": LocalJSX.PageJobbaMedDesign & JSXBase.HTMLAttributes<HTMLPageJobbaMedDesignElement>;
            "page-jobba-med-kod": LocalJSX.PageJobbaMedKod & JSXBase.HTMLAttributes<HTMLPageJobbaMedKodElement>;
            "page-klarsprak": LocalJSX.PageKlarsprak & JSXBase.HTMLAttributes<HTMLPageKlarsprakElement>;
            "page-kom-igang": LocalJSX.PageKomIgang & JSXBase.HTMLAttributes<HTMLPageKomIgangElement>;
            "page-lagkrav-och-riktlinjer": LocalJSX.PageLagkravOchRiktlinjer & JSXBase.HTMLAttributes<HTMLPageLagkravOchRiktlinjerElement>;
            "page-lista-med-tillganglighetsbrister": LocalJSX.PageListaMedTillganglighetsbrister & JSXBase.HTMLAttributes<HTMLPageListaMedTillganglighetsbristerElement>;
            "page-logotyp": LocalJSX.PageLogotyp & JSXBase.HTMLAttributes<HTMLPageLogotypElement>;
            "page-namngivning-och-klarsprak": LocalJSX.PageNamngivningOchKlarsprak & JSXBase.HTMLAttributes<HTMLPageNamngivningOchKlarsprakElement>;
            "page-nivaer-i-wcag": LocalJSX.PageNivaerIWcag & JSXBase.HTMLAttributes<HTMLPageNivaerIWcagElement>;
            "page-oversattningar": LocalJSX.PageOversattningar & JSXBase.HTMLAttributes<HTMLPageOversattningarElement>;
            "page-process-for-tillganglighetsredogorelse": LocalJSX.PageProcessForTillganglighetsredogorelse & JSXBase.HTMLAttributes<HTMLPageProcessForTillganglighetsredogorelseElement>;
            "page-release-notes": LocalJSX.PageReleaseNotes & JSXBase.HTMLAttributes<HTMLPageReleaseNotesElement>;
            "page-sprak": LocalJSX.PageSprak & JSXBase.HTMLAttributes<HTMLPageSprakElement>;
            "page-tillganglighet": LocalJSX.PageTillganglighet & JSXBase.HTMLAttributes<HTMLPageTillganglighetElement>;
            "page-tillganglighetslista": LocalJSX.PageTillganglighetslista & JSXBase.HTMLAttributes<HTMLPageTillganglighetslistaElement>;
            "page-tillganglighetsredogorelse": LocalJSX.PageTillganglighetsredogorelse & JSXBase.HTMLAttributes<HTMLPageTillganglighetsredogorelseElement>;
            "page-typografi": LocalJSX.PageTypografi & JSXBase.HTMLAttributes<HTMLPageTypografiElement>;
            "page-varumarket": LocalJSX.PageVarumarket & JSXBase.HTMLAttributes<HTMLPageVarumarketElement>;
        }
    }
}
